#pragma once
#include "actiondep.h"
#include "merrors.h"

using michlib::message;

ADD_ACTION(Info, info, InfoSupported<Source>);

template<class D> MString ActionInfo::DoAction(const CLArgs& args, D& data)
{
 auto resop = data.Open(args);
 if(resop.Exist()) return "Can't open source: " + resop;
 auto info = data.Info();
 if(!info.Exist()) return "No info";
 message(info);
 return "";
};
