#pragma once
#include "ParseArgs.h"
#include "copcat.h"
#include "mdatetime.h"

using michlib::MDateTime;
using michlib::MString;

class COPERNICUSData
{
 // Get remote file list from url
 RetVal<std::vector<struct FileInfo>> ReadRemoteFileList(const MString& url) const;

 public:
 static constexpr const char* name = "COPERNICUS";

 COPERNICUSData() = default;

 // Main mirror function
 Error Mirror(const CLArgs& args) const;
};
